Subject: Re: network delay simulation

From: Andi Kleen <[email-masked]>
Date: Wed, 17 Mar 2004 00:00:48 +0100

On Tue, 16 Mar 2004 15:10:58 -0800
Stephen Hemminger <[email-masked]> wrote:

> Still bumming around for how to easily simulate long latencies.
> There is NISTnet but that is fugly old 2.2 code; and Dummynet, and hitbox 
> which are FreeBSD based. The existing traffic shaper might do, but it seems
> to be limited to lower speed lines and needs some work (using atomic_set
> do own locking for instance).
> 
> Probably "the cowboy way" would be to right a new net/scheduler to just
> do FIFO delay.
> 
> Any ideas/comments? Somebody have some code sitting in a drawer?

iirc there was a 2.4 port of NistNet. Porting it to 2.6 is probably
not that much work.

-Andi